%define shortname simplejson

Name:           python-%{shortname}
Version:        3.3.0
Release:        %mkrel 1
Summary:        Simple, fast, extensible JSON encoder/decoder for Python
Group:          Development/Python
License:        MIT
URL:            http://undefined.org/python/#simplejson
Source0:        http://pypi.python.org/packages/source/s/simplejson/%{shortname}-%{version}.tar.xz
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-sphinx
BuildRequires:  python-pytz
BuildRequires:  python-docutils
BuildRequires:  python-babel
BuildRequires:  python-jinja2
BuildRequires:  python-pygments

%description
simplejson is a simple, fast, complete, correct and extensible JSON
(http://json.org) encoder and decoder for Python 2.3+. It is pure Python code
with no dependencies, but includes an optional C extension for a serious speed
boost.

simplejson was formerly known as simple_json, but changed its name to comply
with PEP 8 module naming guidelines.

The encoder may be subclassed to provide serialization in any kind of
situation, without any special support by the objects to be serialized
(somewhat like pickle).

The decoder can handle incoming JSON strings of any specified encoding (UTF-8
by default).


%prep
%setup -q -n %{shortname}-%{version}

%build
%{__python} setup.py build
./scripts/make_docs.py

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot} --install-purelib=%py_platsitedir
rm docs/.buildinfo
rm docs/.nojekyll



%files
%doc docs LICENSE.txt
%{python_sitearch}/*


%changelog
* Fri Aug 10 2013 billybot <billybot> 3.3.0-1pclos2013
- update
